org.apache.jmeter.report.core

## Class ControllerSamplePredicate

- java.lang.Object
- - org.apache.jmeter.report.core.ControllerSamplePredicate

All Implemented Interfaces:
  SamplePredicate

    public class ControllerSamplePredicate
    extends Object
    implements SamplePredicate

The class ControllerSamplePredicate provides a way to define whether a sample is a controller.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`ControllerSamplePredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matches(Sample sample)` Defines if the specified sample matches the current predicate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControllerSamplePredicate

    public ControllerSamplePredicate()

### Method Detail

#### matches

    public boolean matches(Sample sample)

Description copied from interface: `SamplePredicate`
Defines if the specified sample matches the current predicate.

Specified by:
  `matches` in interface `SamplePredicate`
Parameters:
  `sample` - the sample to test (must not be `null`)
Returns:
  `true`, if successful; otherwise `false`